> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upcoming Vesting Operation

> Returns cursor-paginated future PENDING vestings with grant, recipient, settlement and tax data.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-upcoming-vesting-operation
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-upcoming-vesting-operation:
    post:
      operationId: getUpcomingVestingOperation
      summary: Get Upcoming Vesting Operation
      description: >-
        Returns cursor-paginated future PENDING vestings with grant, recipient,
        settlement and tax data.


        Not available to API keys yet. It will need `grants:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUpcomingVestingOperationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUpcomingVestingOperationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetUpcomingVestingOperationRequest:
      type: object
      properties:
        cursor:
          type: object
          properties:
            vestingID:
              type: string
              format: uuid
            vestingDate:
              type: string
              format: date-time
          required:
            - vestingID
            - vestingDate
        limit:
          type: integer
          minimum: 1
          maximum: 20
    GetUpcomingVestingOperationResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
